> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Media File

> Delete a media file and deactivate any announcements that reference it



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json delete /v2/admin/media-files/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/media-files/{id}:
    delete:
      tags:
        - Media Files
      summary: Delete Media File
      description: Delete a media file and deactivate any announcements that reference it
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Media file ID
      responses:
        '200':
          description: Deleted media file
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Media file ID
                  tenantId:
                    type: number
                    description: Tenant ID (0 = system)
                  name:
                    type: string
                    description: Media file name
                  size:
                    type: number
                    description: File size in bytes
                  text:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Text/description
                  voiceId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Voice ID
                  createdAt:
                    type: string
                    description: Creation timestamp (ISO)
                  md5:
                    type: string
                    description: MD5 hash of the stored audio
                  deactivatedAnnouncements:
                    default: []
                    description: >-
                      Announcements deactivated because they referenced this
                      file
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                      required:
                        - id
                        - name
                      additionalProperties: false
                required:
                  - id
                  - tenantId
                  - name
                  - size
                  - text
                  - voiceId
                  - createdAt
                  - md5
                  - deactivatedAnnouncements
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````